<?php
 require '../../db.php';
if($_POST){

//Shopierdan gelen postlar.
$status = $_POST["status"];
$invoiceId = $_POST["platform_order_id"]; // bizim gönderdiğimiz id //
$transactionId = $_POST["payment_id"];
$installment = $_POST["installment"];
$signature = $_POST["signature"];


if($status == "success"){

  $bilgi = explode(",", $invoiceId);
  $uyeid = $bilgi[0];
  $paketid = $bilgi[1];
  $paketbilgi = mysqli_fetch_array(mysqli_query($db, "SELECT * FROM paketler WHERE id = '$paketid'"));
  $paketkredi = $paketbilgi["paket_kredi"];
  $guncelle = mysqli_query($db, "UPDATE uyeler SET uye_kredi = uye_kredi + '$paketkredi' WHERE id = '$uyeid'");
  $yttarih = date("d.m.Y H:i:s");
  if ($guncelle) {
    $kylm = mysqli_query($db, "INSERT INTO kredi_yuklemeleri(uyeid, kredi_miktari, tarih, durum)VALUES('$uyeid','$paketkredi','$yttarih','Yüklendi')");
	  echo '<script>window.location.href = "'.$site_url.'/entegrasyonlar/shopier/sonuc.php?durum=ok";</script>';

  }else{
	  echo '<script>window.location.href = "'.$site_url.'/entegrasyonlar/shopier/sonuc.php?durum=no";</script>';
  }

}else{
	echo '<script>window.location.href = "'.$site_url.'/entegrasyonlar/shopier/sonuc.php?durum=no";</script>';
}
}
?>
